Get Job Definitions
Use this resource to get job definitions for the types of jobs that can be scheduled to run.
Required Roles
Service Administrator
REST Resource
GET /HyperionPlanning/rest/{api_version}/applications/{application}/jobdefinitionsRequest
Supported Media Types: application/json
Parameters
The following table summarizes the client request.
Table 3-58 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
The name of the application | Path | Yes | None |
jobIdentifier |
The ID of the job, such as 224 | Path | Yes | None |
q |
Query string | Query | No | None |
jobType |
Optionally, retrieve job definitions for a particular job type, such as RULES.
These jobs are supported:
|
Example URLs
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobdefinitions
Specifying an optional jobType, RULES:
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobdefinitions?q={"jobType":"RULES"}
Response
Supported Media Types: application/json
Parameters
The following table summarizes the parameters.
Table 3-59 Parameters
| Name | Description |
|---|---|
items |
Collection of job definitions |
jobType |
Job type, such as RULESET.
For a list of supported jobs, see the list of jobs in the previous table. |
jobName |
The exact name of the job, such as Financial Statements - Forecast.
|
type |
Application type |
Example of Response Body
The following shows an example of the response body specifying jobType with a value of RULESET.
{
"items": [{
"jobType": "RULESET",
"jobName": "Financial Statements - Forecast",
"links": null
}, {
"jobType": "RULESET",
"jobName": "Financial Statements - Plan",
"links": null
}, {
"jobType": "RULESET",
"jobName": "Revenue Forecast",
"links": null
}, {
"jobType": "RULESET",
"jobName": "Revenue Plan",
"links": null
}, {
"jobType": "RULESET",
"jobName": "RS 60 RTP vars test2",
"links": null
}],
"links": [{
"rel": "self",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/vision/jobdefinitions?q=%7BjobType:RULESET%7D",
"action": "GET"
}],
}